petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFunctionListPrintTypes

Prints the methods available.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscFunctionListPrintTypes(MPI_Comm comm,FILE *fd,const char prefix[],const char name[],const char text[],const char man[],PetscFunctionList list,const char def[])

Collective over MPI_Comm Many br

### Input Parameters

| comm | - the communicator (usually MPI_COMM_WORLD) Many br
| fd | - file to print to, usually stdout Many br
| prefix | - prefix to prepend to name (optional) Many br
| name | - option string (for example, "-ksp_type") Many br
| text | - short description of the object (for example, "Krylov solvers") Many br
| man | - name of manual page that discusses the object (for example, "KSPCreate") Many br
| list | - list of types Many br
| def | - default (current) value Many br

Many br

### See Also

PetscFunctionListAdd(), PetscFunctionList

Level:developer
Location:src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages